regex_error.h File Reference

Go to the source code of this file.

## Classes

class | std::regex_error

## Namespaces

namespace | std
namespace | std::regex_constants

## Functions

void | std::__throw_regex_error (regex_constants::error_type __ecode)

## 5.3 Error Types

enum | std::regex_constants::error_type { _S_error_collate, _S_error_ctype, _S_error_escape, _S_error_backref, _S_error_brack, _S_error_paren, _S_error_brace, _S_error_badbrace, _S_error_range, _S_error_space, _S_error_badrepeat, _S_error_complexity, _S_error_stack, _S_error_last }
constexpr error_type | std::regex_constants::error_collate (_S_error_collate)
constexpr error_type | std::regex_constants::error_ctype (_S_error_ctype)
constexpr error_type | std::regex_constants::error_escape (_S_error_escape)
constexpr error_type | std::regex_constants::error_backref (_S_error_backref)
constexpr error_type | std::regex_constants::error_brack (_S_error_brack)
constexpr error_type | std::regex_constants::error_paren (_S_error_paren)
constexpr error_type | std::regex_constants::error_brace (_S_error_brace)
constexpr error_type | std::regex_constants::error_badbrace (_S_error_badbrace)
constexpr error_type | std::regex_constants::error_range (_S_error_range)
constexpr error_type | std::regex_constants::error_space (_S_error_space)
constexpr error_type | std::regex_constants::error_badrepeat (_S_error_badrepeat)
constexpr error_type | std::regex_constants::error_complexity (_S_error_complexity)
constexpr error_type | std::regex_constants::error_stack (_S_error_stack)

## Detailed Description

Error and exception objects for the std regex library.

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_error.h.